//---------------------------------------------------------------------------
#ifndef BMP2PPBitmapFormH
#define BMP2PPBitmapFormH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\Menus.hpp>
#include <vcl\Buttons.hpp>
#include <vcl\ComCtrls.hpp>
//---------------------------------------------------------------------------
class TBitmapForm : public TForm
{
__published:	// IDE-managed Components
	TImage *Image;
	TMainMenu *BitmapMainMenu;
	TMenuItem *FileBitmapMenu;
	TMenuItem *RefreshMenu;
	TMenuItem *N1;
	TMenuItem *CloseMenu;
	TBevel *Bevel1;
	TPanel *SpeedBarPanel;
	TBevel *Bevel2;
	TSpeedButton *RefreshSpeedButton;
	TSpeedButton *CloseSpeedButton;
	TStatusBar *StatusBar;
	void __fastcall FormDestroy(TObject *Sender);
	void __fastcall CloseSpeedButtonClick(TObject *Sender);
	void __fastcall RefreshSpeedButtonClick(TObject *Sender);
	void __fastcall RefreshMenuClick(TObject *Sender);
	void __fastcall CloseMenuClick(TObject *Sender);
private:	// User declarations
	bool FIsBitmapForm;
    void SetIsBitmapForm (bool isBitmapForm);
public:		// User declarations
	__fastcall TBitmapForm(TComponent* Owner);
    __property bool IsBitmapForm = { read=FIsBitmapForm, write=SetIsBitmapForm };
};
//---------------------------------------------------------------------------
extern TBitmapForm *BitmapForm;
//---------------------------------------------------------------------------
#endif
